ru.bitel.bgbilling.modules.assist.server.bean

## Class AssistPaymentRecurringManager

- java.lang.Object
- - ru.bitel.bgbilling.modules.assist.server.bean.AssistPaymentRecurringManager

-     public class AssistPaymentRecurringManager
      extends java.lang.Object

  Подразумевается, что на одном cid может быть только один автоплатёж настроен.
  Author:
    dimon

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AssistPaymentRecurringManager(java.sql.Connection con, int mid)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `add(AssistPaymentRecurring pr)` Добавление новых настроек автоплатежа.
    `void` | `deleteRecurringForCid(int cid)` Удаление всех настроек рекуррентных платежей для указанного договора.
    `AssistPaymentRecurring` | `getRecurringForCid(int cid)` Получение актуальной(!)
    `static AssistPaymentRecurring` | `getRecurringFromRS(java.sql.ResultSet rs, boolean contractTitle)`
    `java.util.List<AssistPaymentRecurring>` | `getRecurringList(int cid)` Список всех актуальных(!)
    `void` | `runRecurring(int cid, java.math.BigDecimal sum)` Ручная инициация рекуррентного платежа по договору.
    `boolean` | `updateBillnumber(long ordernumber, int cid, long billnumber)` Обновление billnumber для существующего в нашей системе автоплатежа с указанными ordernumber и cid.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AssistPaymentRecurringManager

          public AssistPaymentRecurringManager(java.sql.Connection con,
                                               int mid)

  - ### Method Detail

    - #### add

          public int add(AssistPaymentRecurring pr)
                  throws ru.bitel.bgbilling.common.BGException

      Добавление новых настроек автоплатежа. Заполняется всё кроме billnumber (его заполнят после успешного проведения первоначального родительского платежа).
      Parameters:
        `pr` - новый объект
      Returns:
        id добавленной записи
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getRecurringFromRS

          public static AssistPaymentRecurring getRecurringFromRS(java.sql.ResultSet rs,
                                                                  boolean contractTitle)
                                                           throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### updateBillnumber

          public boolean updateBillnumber(long ordernumber,
                                          int cid,
                                          long billnumber)
                                   throws ru.bitel.bgbilling.common.BGException

      Обновление billnumber для существующего в нашей системе автоплатежа с указанными ordernumber и cid.
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getRecurringList

          public java.util.List<AssistPaymentRecurring> getRecurringList(int cid)
                                                                  throws ru.bitel.bgbilling.common.BGException

      Список всех актуальных(!) настроек рекуррентных платежей.
      Parameters:
        `cid` - конкретный договор (в таком случае будет 0 или 1 элемент), или -1 если все договоры.
      Returns:
        список (может быть пустой).
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getRecurringForCid

          public AssistPaymentRecurring getRecurringForCid(int cid)
                                                    throws ru.bitel.bgbilling.common.BGException

      Получение актуальной(!) настройки автоплатежа для конкретного договора. Если нет - вернётся null.
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### deleteRecurringForCid

          public void deleteRecurringForCid(int cid)
                                     throws ru.bitel.bgbilling.common.BGException

      Удаление всех настроек рекуррентных платежей для указанного договора.
      Parameters:
        `cid` - договор
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### runRecurring

          public void runRecurring(int cid,
                                   java.math.BigDecimal sum)

      Ручная инициация рекуррентного платежа по договору. Происходит запуск задачи шедулера.
      Parameters:
        `cid` - договор
        `sum` - сумма